Package org.apache.torque.generator.source.transform.model

## Class PropertyNotWriteableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.torque.generator.GeneratorException
      - - org.apache.torque.generator.source.transform.SourceTransformerException
        - - org.apache.torque.generator.source.transform.model.PropertyNotWriteableException

- All Implemented Interfaces:
    `Serializable`

      public class PropertyNotWriteableException
      extends SourceTransformerException

  Indicates that an attempt was made to write a property which is not writeable.
  Version:
    $Id: $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyNotWriteableException​(Object target, String name)` | Constructor.
    `PropertyNotWriteableException​(Object target, String name, String detail)` | Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyNotWriteableException

          public PropertyNotWriteableException​(Object target,
                                               String name)

      Constructor.
      Parameters:
        `target` - the object on which the property was unsuccessfully written.
        `name` - the name of the property which was unsuccessfully written.

    - #### PropertyNotWriteableException

          public PropertyNotWriteableException​(Object target,
                                               String name,
                                               String detail)

      Constructor.
      Parameters:
        `target` - the object on which the property was unsuccessfully written.
        `name` - the name of the property which was unsuccessfully written.
        `detail` - a detail cause which is appended to the error message.